import axios from 'axios'

class Service {
    constructor(url) {
        this.url = url
    }
    getFinanzerMain(token) {
        return axios.get(this.url + "getFinanzerMain", {headers: {Token: token}})

    }
    login(loginData) {
        return axios.post(this.url+'login', {...loginData})
    }
    getUserBar(token) {
        return axios.get(this.url+'bar', {headers: {Token: token}})
    }
    addAmountBar(token, data) {
        // eslint-disable-next-line no-console
        console.log("addAmountdata: ", data)
        return axios.post(this.url+'baradd', {...data}, {headers: {Token: token}})
    }
}

const httpClient = new Service("http://192.168.5.118:5000/")

export default httpClient
